package com.bernard.mcqinator.api.fragen;

import android.os.Parcelable;

import com.bernard.mcqinator.view.activities.fragenActivities.BlocFrageActivity;
import com.bernard.mcqinator.view.activities.fragenActivities.FrageActivity;

/**
 * @author samy
 * @date on 04/05/17.
 */

public abstract class Frage implements Parcelable {

    public enum Type {
        BLOC(BlocFrageActivity.class);
        final Class<? extends FrageActivity> frageActivity;

        Type(Class<? extends FrageActivity> frageActivity) {
            this.frageActivity = frageActivity;
        }

        public Class<? extends FrageActivity> getFrageActivity() {
            return frageActivity;
        }
    }

    public abstract Class<? extends Reply> getReplyClass();

    public abstract static class Reply implements Parcelable{

    }

    public abstract static class Identifier {

    }

}